#!/bin/bash

source /scripts/utils.sh
source /scripts/terraform.sh

export TF_VAR_ENVIRONMENT=${env}
export TF_VAR_PD_ENDPOINT_URL=$(echo $vars | jq .TF_VAR_PD_ENDPOINT_URL | tr '"' ' ' | xargs)
export TF_VAR_SNS_TOPIC_ARN="arn:aws:sns:${awsDefaultRegion}:${awsAccountNumber}:${SNS_TOPIC_NAME}"

echo "${TF_VAR_ENVIRONMENT} and ${TF_VAR_SNS_TOPIC_ARN}"

cd /terraform/mcs2-cloudwatch-alerts || exit 1
ls
if [[ ${TF_VAR_ENVIRONMENT} == "kcdev01" ]]; then
  print_header "Terraform Init"
  run_cmd terraform init -backend-config="bucket=${tfBucketName}" -backend-config="key=${tfBucketKey}" -backend-config="region=${awsDefaultRegion}" -lock=false -plugin-dir=/terraform/.terraform/providers/ $@

  print_header "Terraform destroy begins"
  run_cmd terraform destroy -auto-approve -lock=false $@
else
  echo "Workspace not configured"
fi
